com.sun.mail.imap.protocol

## Class INTERNALDATE

- java.lang.Object
- - com.sun.mail.imap.protocol.INTERNALDATE

- All Implemented Interfaces:
    Item

      public class INTERNALDATE
      extends Object
      implements Item

  An INTERNALDATE FETCH item.
  Author:
    John Mani

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Date` | `date`
    `int` | `msgno`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INTERNALDATE(FetchResponse r)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `format(Date d)` Format given Date object into INTERNALDATE string
    `Date` | `getDate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msgno

          public int msgno

    - #### date

          protected Date date

  - ### Constructor Detail

    - #### INTERNALDATE

          public INTERNALDATE(FetchResponse r)
                       throws ParsingException

      Constructor.
      Parameters:
        `r` - the FetchResponse
      Throws:
        `ParsingException` - for parsing failures

  - ### Method Detail

    - #### getDate

          public Date getDate()

    - #### format

          public static String format(Date d)

      Format given Date object into INTERNALDATE string
      Parameters:
        `d` - the Date
      Returns:
        INTERNALDATE string

Copyright © 2016 Oracle. All rights reserved.